libetonyek::IWORKStyleRefContext Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libetonyek::IWORKStyleRefContext Class Reference

`#include <IWORKStyleRefContext.h>`

Inheritance diagram for libetonyek::IWORKStyleRefContext:

## Public Member Functions
| IWORKStyleRefContext (IWORKXMLParserState &state, const IWORKStyleMap_t &styleMap, bool nested=false, bool anonymous=false)
virtual void | attribute (int name, const char *value)
virtual void | endOfElement ()
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Attributes
const IWORKStyleMap_t & | m_styleMap
const bool | m_nested
const bool | m_anonymous

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKStyleRefContext()

libetonyek::IWORKStyleRefContext::IWORKStyleRefContext | ( | IWORKXMLParserState & | state,
|  | const IWORKStyleMap_t & | styleMap,
|  | bool | nested = `false`,
|  | bool | anonymous = `false`
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKStyleRefContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| virtual

## ◆ endOfElement()

void libetonyek::IWORKStyleRefContext::endOfElement | ( |  | ) |
| virtual

## Member Data Documentation

## ◆ m_anonymous

const bool libetonyek::IWORKStyleRefContext::m_anonymous
| private

## ◆ m_nested

const bool libetonyek::IWORKStyleRefContext::m_nested
| private

Referenced by endOfElement().

## ◆ m_styleMap

const IWORKStyleMap_t& libetonyek::IWORKStyleRefContext::m_styleMap
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKStyleRefContext.h
- IWORKStyleRefContext.cpp